Name:           libphidget
Version:        2.1.7.20100621
Release:        5%{?dist}
Summary:        Drivers and API for Phidget devices

Group:          Development/Libraries
License:        LGPLv3
URL:            http://www.phidgets.com
Source0:        http://www.phidgets.com/downloads/libraries/libphidget_2.1.7.20100621.tar.gz
Patch0:         libphidget-2.1.7-20100621.disableruntimelinking.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jpackage-utils
BuildRequires:  libusb-devel
BuildRequires:  gawk

Requires:       udev

%description
Phidgets are a set of "plug and play" building blocks for low cost USB 
sensing and control from your PC.  All the USB complexity is taken care 
of by the robust libphidget API.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        java
Summary:        Java bindings for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       java >= 1:1.6.0
Requires:       jpackage-utils

%description    java
The %{name}-java package contains java bindings for the 
libphidget API.

%prep
%setup -q
%patch0 -p0

%build
%configure --disable-static --enable-zeroconf --enable-zeroconf-lookup --disable-ldconfig --enable-jni
make %{?_smp_mflags}
make phidget21.jar

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
mkdir -p $RPM_BUILD_ROOT%{_datadir}/libphidget/examples
install -p -m 0644 examples/*c $RPM_BUILD_ROOT%{_datadir}/libphidget/examples
install -p -m 0644 examples/README $RPM_BUILD_ROOT%{_datadir}/libphidget/examples
mkdir -p -m 0755 $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
install -p -m 0644 udev/99-phidgets.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/99-phidgets.rules
mkdir -p -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 phidget21.jar $RPM_BUILD_ROOT%{_javadir}/phidget21.jar

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%{_libdir}/*.so.*
%config(noreplace) %{_sysconfdir}/udev/rules.d/*

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/libphidget

%files java
%defattr(-,root,root,-)
%{_javadir}/phidget21.jar

%changelog
* Fri Oct 01 2010 Rich Mattes <richmattes@gmail.com> - 2.1.7.20100621-5
- Disable zeroconf runtime linking

* Mon Sep 27 2010 Rich Mattes <richmattes@gmail.com> - 2.1.7.20100621-4
- Bump release to maintain upgrade path

* Tue Sep 21 2010 Rich Mattes <richmattes@gmail.com> - 2.1.7.20100621-3
- Split java bindings into separate -java subpackage

* Mon Sep 20 2010 Rich Mattes <richmattes@gmail.com> - 2.1.7.20100621-2
- Enable zeroconf
- Enable jni 
- Install udev rules

* Sun Sep 19 2010 Rich Mattes <richmattes@gmail.com> - 2.1.7.20100621-1
- Initial build
